http://ftp.mayn.de/pub/cpm/languages/280forth.zip| FIG FORTH v1.1a for the Z280.
http://ftp.mayn.de/pub/cpm/languages/86misc.zip| Some more CP/M-86 programmers utilities. 
http://ftp.mayn.de/pub/cpm/languages/INDEX.txt| 
http://ftp.mayn.de/pub/cpm/languages/cb68.zip|Here is Digital Research's CBASIC for the 68000. NOTE : I'm told that this is a compiler, not an interpreter. That's even better. 
http://ftp.mayn.de/pub/cpm/languages/cb80v13.zip|CB80 v1.3.
http://ftp.mayn.de/pub/cpm/languages/cb80v20.zip|CB80 v2.0.
http://ftp.mayn.de/pub/cpm/languages/cbasic2.zip|CBASIC v2 in postscript format. This manual is for the 8080/Z80 version of CBASIC. Use with CP/M-80, version 1.4or higher.
http://ftp.mayn.de/pub/cpm/languages/cbasic80.zip|Cbasic v2.8 for CP/M 2.2 or CP/M 3.0.
http://ftp.mayn.de/pub/cpm/languages/cbasic86.zip|CBASIC for CP/M 86.
http://ftp.mayn.de/pub/cpm/languages/cobol80.zip|DRI COBOL for CP/M-80.
http://ftp.mayn.de/pub/cpm/languages/cpm86-pr.zip|Programmers Utilities for CP/M-86 
http://ftp.mayn.de/pub/cpm/languages/drc86.zip|A C compiler for CP/M-86. I understand that this one has some limitations, but here it is. Surely it's better than nothing.
http://ftp.mayn.de/pub/cpm/languages/drc86111.zip|C compiler with modified header files, PCBIOS interface in RASM86 & Batch files to assist compiling under CP/M-86 DOS emulator, specifically for porting Turbo C code to CP/M-86.
http://ftp.mayn.de/pub/cpm/languages/dripas.zip|This is the Pascal MT+ compiler for the 8080/Z80. Includes the Speed Programming Package for PASCAL MT+. 
http://ftp.mayn.de/pub/cpm/languages/dxforth.zip|This is DX Forth, for CP/M-80. 
http://ftp.mayn.de/pub/cpm/languages/f77-86.zip|There has been a dire rumor that Digital Research never did a Fortran compiler. Well, here is a Fortran-77 compiler for CP/M-86 (version 4.0) that is DEFINATELY from Digital Research.
http://ftp.mayn.de/pub/cpm/languages/forth68k.zip|This is FORTH 83 system for CP/M-68K. The code is public domain, but the manual is copyrighted (by Compupro). So, here is the code, but no manual will be FORTHcoming (pun intended). 
http://ftp.mayn.de/pub/cpm/languages/forth80.zip|Here is a public domain FORTH 83 for 8080/Z80 CP/M systems, version 2.
http://ftp.mayn.de/pub/cpm/languages/link80m.zip|LINK 80 Postscript manual. Use with CP/M-80 or MP/M-80. Note that the LINK-80 manual also contains achapter on RMAC, and detailed discussions on support for PL/I-80.
http://ftp.mayn.de/pub/cpm/languages/m2cbasic.zip|Microsoft Basic to CBASIC translator for CP/M-86.
http://ftp.mayn.de/pub/cpm/languages/mac-b.zip|This is the MAC 8080 macro assembler. 
http://ftp.mayn.de/pub/cpm/languages/mt8633cp.zip|This is PASCAL MT+ version 3.3 for CP/M-86.
http://ftp.mayn.de/pub/cpm/languages/mtp561.zip|This is version 5.6.1 of Pascal MT+. 
http://ftp.mayn.de/pub/cpm/languages/mtpug_01.zip|Pascal MT+ Users Group Disk#1 
http://ftp.mayn.de/pub/cpm/languages/mtpug_02.zip|Pascal MT+ Users Group Disk#2 
http://ftp.mayn.de/pub/cpm/languages/mtpug_03.zip|Pascal MT+ Users Group Disk#3 
http://ftp.mayn.de/pub/cpm/languages/mtpug_04.zip|Pascal MT+ Users Group Disk#4 
http://ftp.mayn.de/pub/cpm/languages/mtpug_05.zip|Pascal MT+ Users Group Disk#5 
http://ftp.mayn.de/pub/cpm/languages/mtpug_06.zip|Pascal MT+ Users Group Disk#6 
http://ftp.mayn.de/pub/cpm/languages/mtpug_07.zip|Pascal MT+ Users Group Disk#7 
http://ftp.mayn.de/pub/cpm/languages/mtpug_08.zip|Pascal MT+ Users Group Disk#8 
http://ftp.mayn.de/pub/cpm/languages/mtpug_09.zip|Pascal MT+ Users Group Disk#9 
http://ftp.mayn.de/pub/cpm/languages/mtpug_10.zip|Pascal MT+ Users Group Disk # 10.
http://ftp.mayn.de/pub/cpm/languages/pas-mt86.zip|Here is a different copy of Pascal MT+ for CP/M-86. This one should be a good one.
http://ftp.mayn.de/pub/cpm/languages/pbasic86.zip|Personal BASIC for CP/M-86.
http://ftp.mayn.de/pub/cpm/languages/pli-b.zip|This is the PLI compiler. It is very compatible with the IBM PLI compiler used on the 360. The only functions I found missing were DATE and TIME, which were easy to fake out. 
http://ftp.mayn.de/pub/cpm/languages/pli86.zip|Here is the PL/I compiler for CP/M-86.
http://ftp.mayn.de/pub/cpm/languages/plm80.zip|Here is the PLM compiler, along with an ISIS emulator to run on your PC. This is supposed to be the compiler to use to build CP/M 2.2. This ZIP file now also has ASM80, the assembler required to process the output of the PLM compiler.
http://ftp.mayn.de/pub/cpm/languages/plm80x80.zip|Another PLM Compiler: it runs on 8080/Z80 CP/M 
http://ftp.mayn.de/pub/cpm/languages/plm80x86.zip|Another PLM Compiler : it runs on  MS-DOS 
http://ftp.mayn.de/pub/cpm/languages/rec.zip|REGULAR EXPRESSION COMPILER
http://ftp.mayn.de/pub/cpm/languages/rez.zip|This is a Z80 version of the Ward Christianson RESOURCE disassembler with some enhancements. Binary only.
http://ftp.mayn.de/pub/cpm/languages/xlisp.zip|Yes, there is a permutation of LISP for CP/M-86, and this is it! XLISP is an interpreted object-oriented programming language, with many nice features and capabilities. Even rabid LISP freaks can now feel "at home" with CP/M-86. XLISP is public domain. 
http://ftp.mayn.de/pub/cpm/languages/xlt86.zip| I think that this is an 8080 to 8086 translator for CP/M-86.
http://ftp.mayn.de/pub/cpm/languages/z80forth.zip|FIG FORTH v1.1g for the Z80.
http://ftp.mayn.de/pub/cpm/languages/zsid14.zip|ZSID for CP/M-80, MP/M-80.
http://ftp.mayn.de/pub/cpm/languages/zsidpat.zip|Here is a patch for ZSID 1.4 for an Amstrad CPC computer. ZSID uses RST 6 instead of RST 7.
